package pwc.taxtech.atms.web.controller;


import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import pwc.taxtech.atms.dto.ApiResultDto;
import pwc.taxtech.atms.web.service.OrangeHeapService;

import javax.annotation.Resource;

@RestController
@RequestMapping("/OrangeHeap")
public class OrangeHeapController {

    @Resource
    private OrangeHeapService tableauService;

    @ResponseBody
    @GetMapping("unreturnedTax")
    public ApiResultDto getUnreturnedTax() {
        return ApiResultDto.success(tableauService.getUnreturnedTax().orElse(StringUtils.EMPTY));
    }

}
